Public Class Agenti

    Private Sub AgentiBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AgentiBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.AgentiBindingSource.EndEdit()
        Me.AgentiTableAdapter.Update(Me.SmartEstateDataSet.Agenti)

    End Sub

    Private Sub Agenti_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'SmartEstateDataSet.Agenzie' table. You can move, or remove it, as needed.
        Me.AgenzieTableAdapter.Fill(Me.SmartEstateDataSet.Agenzie)
        'TODO: This line of code loads data into the 'SmartEstateDataSet.Agenti' table. You can move, or remove it, as needed.
        Me.AgentiTableAdapter.Fill(Me.SmartEstateDataSet.Agenti)

    End Sub
End Class